# Tile Struct Reference

Data that is stored per tile. More...

`#include <map_type.h>`

## Data Fields
byte | type_height
| The type (bits 4..7) and height of the northern corner.
byte | m1
| Primarily used for ownership information.
uint16 | m2
| Primarily used for indices to towns, industries and stations.
byte | m3
| General purpose.
byte | m4
| General purpose.
byte | m5
| General purpose.
byte | m6
| Primarily used for bridges and rainforest/desert.

## Detailed Description

Data that is stored per tile.

Also used TileExtended for this. Look at docs/landscape.html for the exact meaning of the members.

Definition at line 19 of file map_type.h.

The documentation for this struct was generated from the following file:

- src/map_type.h